<template>
  <div class="box-center">
    <!-- 头 -->
    <div class="app-top">
      <div class="app-titel" style="margin-top: 5px">
        <div class="label">正确词：</div>
        <div>
          <el-input v-model="value"></el-input>
        </div>
        <div class="label">错误词：</div>
        <div>
          <el-input v-model="value"></el-input>
        </div>
        <div style="margin-left: 20px">
          <el-button style="background: #2671e2; color: #ffffff"
            >筛选</el-button
          >
        </div>
        <div style="margin-left: 20px">
          <el-button>清空筛选条件</el-button>
        </div>
        <div style="margin-left: 20px">
          <el-button
            @click="addinfo()"
            style="background: #2671e2; color: #ffffff"
            >新增</el-button
          >
        </div>
      </div>
    </div>

    <!-- 表格 -->
    <div class="cen-tab">
      <el-table :data="tableData" stripe height="400" style="width: 100%">
        <el-table-column prop="date" label="公司" align="center">
        </el-table-column>
        <el-table-column prop="correctWord" label="正确词" align="center">
        </el-table-column>
        <el-table-column prop="wrongWord" label="错误词" align="center">
        </el-table-column>

        <el-table-column prop="createTime" label="创建时间" align="center">
        </el-table-column>

        <!-- <el-table-column prop="date" label="备注" align="center">
        </el-table-column> -->
        <!--  scope -->
        <el-table-column label="操作" align="center">
          <template slot-scope="">
            <el-button type="text" @click="edit(row)">修改</el-button>
          </template>
        </el-table-column>
      </el-table>
      <div style="display: flex; justify-content: flex-end; margin-top: 10px">
        <el-pagination
          @size-change="handleSizeChange"
          @current-change="handleCurrentChange"
          :current-page="currentPage"
          :page-sizes="[10, 20, 30, 40]"
          :page-size="10"
          layout="total, sizes, prev, pager, next, jumper"
          :total="total"
        >
        </el-pagination>
      </div>
    </div>

    <el-dialog
      :title="editFlag ? '修改常错词' : '新增常错词'"
      :visible.sync="dialogVisible"
    >
      <el-form
        :model="ruleForm"
        :rules="rules"
        label-position="labelPosition"
        ref="ruleForm"
        label-width="140px"
        style="width: 60%; margin: 0 auto"
      >
        <el-form-item label="正确词" prop="correctWord">
          <el-input v-model="ruleForm.correctWord"></el-input>
        </el-form-item>
        <el-form-item label="错误词" prop="wrongWord">
          <el-input v-model="ruleForm.wrongWord"></el-input>
        </el-form-item>
        <el-form-item label="描述：" prop="desc">
          <el-input type="textarea" v-model="ruleForm.desc"></el-input>
        </el-form-item>
      </el-form>
      <div slot="footer" class="dialog-footer">
        <el-button @click="dialogVisible = false">取 消</el-button>
        <el-button type="primary" @click="addSure()">保存</el-button>
      </div>
    </el-dialog>
  </div>
</template>

<script>
export default {
  data() {
    return {
      currentPage: 4,
      value: "",
      input: "",
      tableData: [],
      multipleSelection: [],
      dialogVisible: false,
      ruleForm: {
        correctWord: "",
        wrongWord: "",
        desc: "",
      },
      searchForm: {},
      currentPage: 1,
      editFlag: false,
      size: "",
      total: 10,
      rules: {
        correctWord: [
          { required: true, message: "请填写正确词", trigger: "change" },
        ],
        wrongWord: [
          { required: true, message: "请填写错误词", trigger: "change" },
        ],
      },
    };
  },
  mounted() {
    // 列表获取
    this.correctFindbypage();
  },
  methods: {
    edit(row) {
      this.ruleForm = Object.assign({}, row);
      this.editFlag = true;
      this.dialogVisible = true;
    },
    addSure() {
      // console.log(this.addressOptions)
      this.$refs.ruleForm.validate((valid) => {
        if (valid) {
          console.log(this.ruleForm);
          // 编辑
          return
          if (this.editFlag) {
            console.log("编辑");
            this.$api.api.editZkhouse(this.ruleForm).then((res) => {
              console.log(res);
              if (res.code == 0) {
                this.dialogVisible = false;
                this.$message.success("编辑成功");
                this.zkhousePage();
              }
            });
          } else {
            // 添加
            console.log("添加");
            return
            this.$api.api.addZkhouse(this.ruleForm).then((res) => {
              console.log(res);
              if (res.code == 0) {
                this.dialogVisible = false;
                this.$message.success("新增常错词成功");
                this.zkhousePage();
              }
            });
          }
        }
      });
    },
    // 获取常错词列表
    correctFindbypage() {
      let obj = {
        current: this.currentPage,
        size: this.size,
        ...this.searchForm,
      };
      this.$api.api.correctFindbypage(obj).then((res) => {
        console.log(res);
        this.tableData = res.data.records;
        this.total = res.data.total;
      });
    },
    addinfo() {
      this.editFlag = false;
      this.dialogVisible = true;
    },
    editor() {
      this.dialogVisible = false;
    },
    handleSelectionChange(val) {
      this.multipleSelection = val;
    },
    handleSizeChange(val) {
      console.log(`每页 ${val} 条`);
    },
    handleCurrentChange(val) {
      console.log(`当前页: ${val}`);
    },
  },
};
</script>

<style scoped="scoped" lang="scss" >
.box-center {
  width: 100%;
  padding: 15px;
  min-width: 1200px;
  padding-bottom: 100px;
}
.cen-tab {
  width: 100%;
  padding: 15px;
  background: #ffffff;
  margin-top: 15px;
}
.tophove {
  color: #ffffff;
  background: #2671e2;
}
.app-top {
  width: 100%;
  background: #ffffff;
  box-shadow: 0px 0px 12px 0px rgba(0, 0, 0, 0.04);
  border-radius: 4px;
  padding-top: 15px;
  padding-bottom: 15px;
  .app-titel {
    width: 100%;
    display: flex;
    align-items: center;
    .label {
      font-size: 14px;
      font-weight: 400;
      color: #32363d;
      line-height: 14px;
      margin-left: 15px;
    }
    .toptimeqhuan {
      height: 30px;
      background: #ffffff;
      display: flex;
      align-items: center;
    }
    .toptimeqhuan div {
      padding-left: 20px;
      padding-right: 20px;
      text-align: center;
      line-height: 30px;
      font-size: 14px;
      margin-right: 15px;
      border-radius: 4px;
      border: 1px solid #e0e0e0;
    }
  }
}
</style>
